<?php   
/**
 * Block Patterns
 *
 * @package Construction Architect
 * @since 1.7
 */

/**
 * Registers block patterns and categories.
 *
 * @since 1.0
 *
 * @return void
 */
function construction_architect_register_block_patterns() {
	$block_pattern_categories = array(
		'construction-architect' => array( 'label' => esc_html__( 'Construction Architect Patterns', 'construction-architect' ) ),
		'pages'    => array( 'label' => esc_html__( 'Pages', 'construction-architect' ) ),
	);

	$block_pattern_categories = apply_filters( 'construction_architect_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}

	$block_patterns = array(
		'header-default',
		'header-banner',
		'testimonials-section',
		'counter-section',
		'our-work-section',
		'archive-inner-banner',
		'inner-banner',
		'post-one-column',
		'post-two-column',
		'latest-blog',
		'hidden-404',
		'sidebar',
		'footer-default',
	);

	$block_patterns = apply_filters( 'construction_architect_block_patterns', $block_patterns );

	foreach ( $block_patterns as $block_pattern ) {
		$pattern_file = get_parent_theme_file_path( '/inc/patterns/' . $block_pattern . '.php' );

		register_block_pattern(
			'construction-architect/' . $block_pattern,
			require $pattern_file
		);
	}
}
add_action( 'init', 'construction_architect_register_block_patterns', 9 );